<?php

	require_once('../../config.php');
	require_once('libs/PHPRtfLite.php');
	require_once('functions.php');
	require_login();

	 if (isadmin() or isteacher($_GET['courseId']))	{
		$students=getStudentsOnCourse($_GET['courseId']);
		
		if ($students) {

			PHPRtfLite::registerAutoloader();
			//paragraph formats
			$rtf->parFormat = new PHPRtfLite_ParFormat();
			// rtf document
			$rtf = new PHPRtfLite();
			//$this->rtf->setMargins($marginLeft, $marginTop, $marginRight, $marginBottom) {
			$rtf->setMargins(2, 0.5, 2, 0.5);

			//generowanie dokumentu
			$smallfont = new PHPRtfLite_Font(8, 'Arial', '#000000');
			$mainfont = new PHPRtfLite_Font(10, 'Arial', '#000000');
			$headfont = new PHPRtfLite_Font(12, 'Arial', '#000000');
			$headpar = new PHPRtfLite_ParFormat('center');
			 
			$header = $rtf->addHeader('all');
			$header->addImage('images/header.png', null, 17);
			$footer = $rtf->addFooter('all');
			$footer->addImage('images/footer.png', null, 17);
			
			$sect = $rtf->addSection();
			$sect->writeText('<br />' . get_string('reporttitle', 'block_mgs_stats'), $headfont, $headpar);

			$courseName=getCourseName($_GET['courseId']);
			
			$sect->writeText('<b>' . $courseName['courseName'].'</b>', $headfont, $headpar);
			$sect->writeText(''. date("Y-m-d H:i:s",mktime()). '<br /><br />', $smallfont, $headpar);
			
			$border = PHPRtfLite_Border::create(1, '#000000');
			$table = $sect->addTable();
			$table->addColumnsList(array(1,10,6));
			$table->addRows(1);
			$table->writeToCell(1, 1, '<b>'. get_string('number', 'block_mgs_stats') .'</b>', $mainfont, $headpar);
			$table->writeToCell(1, 2, '<b>' . get_string('studentslastnameandfirstname', 'block_mgs_stats') . '</b>', $mainfont, $headpar); 
			$table->writeToCell(1, 3, '<b>'. get_string('blockname', 'block_mgs_stats') .'</b>', $mainfont, $headpar);
			$table->setBorderForCellRange($border, 1, 1, 1, 3);
			$table->setBackgroundOfCells('#d0d0d0', 1, 1, 1, 3);
				
			$linia=2;
			foreach ($students as $student) {
				$wyniki=getStats($student['userId'], $student['courseId']);
				$table->addRow(); //, 0.5);
				$table->writeToCell($linia, 1, $linia-1 . '.', $mainfont, new PHPRtfLite_ParFormat('center'));
				$table->writeToCell($linia, 2, $student['lastname'] . ' ' . $student['firstname'], $mainfont, new PHPRtfLite_ParFormat('center'));
				$table->writeToCell($linia, 3, $wyniki['godzin'] . ' ' . get_string('hours') . ' ' . $wyniki['minut'] . ' ' . get_string('mins'), $mainfont, new PHPRtfLite_ParFormat('center'));
				$table->setBorderForCellRange($border, $linia, 1, 1, 3);
				$linia++;
			} //foreach
			
		}
		   
	} // admin/teacher

	$teacherinfo=getTeacherName();
			
	$sect->writeText('<br /><br /><br />', $mainfont, new PHPRtfLite_ParFormat('justify'));
	$table = $sect->addTable();
	$table -> addRows(3);
	$table->addColumnsList(array(7,10));
	$table->writeToCell(1, 2, '...........................................................................................', $mainfont, new PHPRtfLite_ParFormat('center'));
	$table->writeToCell(2, 2, '<b>'. $teacherinfo['firstname'] . ' ' . $teacherinfo['lastname'] .'</b>', $mainfont, new PHPRtfLite_ParFormat('center'));	
	$table->writeToCell(3, 2, '<i>('. get_string('signature', 'block_mgs_stats') .')</i>', $smallfont, new PHPRtfLite_ParFormat('center'));		
	
	$filename=preg_replace('/ /', '-', $courseName['courseName']);
	$nazwa="MgS_report";
	if ($filename) {$nazwa.='-'.$filename;}
	$nazwa.="-".date("Y-m-d_H-i-s",mktime());	
	$nazwa.=".rtf";
	$rtf->sendRtf($nazwa);
		
?>